import _Cart from './_Cart.js';
import MultifocalListItem from './MultifocalListItem.js';

var MultifocalBrowser = function(){
return {
view: function(){
var lenses = [];
return m('.multifocal-listing', [
      m('table.table.table-striped', [
        m('thead', [
          m('tr', [
            m('th', '#1'),
            m('th', '#2'), // TODO: what's this called again?
            m('th', 'Material'),
            m('th', 'Type'),
            m('th', 'AR'),
            m('th', 'Photochromatic'),
            m('th', 'Price'),
            m('th', 'Quantity')
            ])
          ]),
        m('tbody', [
          lenses.map(function(lens){
            return m(MultifocalListItem, {lens: lens});
            }),
          m('tr', [
            m('td.text-center', {colspan: 8}, [
              m('button.btn.btn-primary.btn-lg.btn-block', [
                m('i.icon.icon-plus')
                ])
              ])
            ])
          ])
        ])
      ]);
}
};
}

export default MultifocalBrowser;